PropertyNotWritableException (EL 6.0 API Documentation - Apache Tomcat 11.0.23)
Description: declaration: package: jakarta.el, class: PropertyNotWritableException

# Class PropertyNotWritableException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
jakarta.el.ELException
jakarta.el.PropertyNotWritableException

All Implemented Interfaces:
  `Serializable`

public class PropertyNotWritableException extends ELException
Exception thrown when an EL expression attempts to write to a read-only property.

This exception is raised during setValue operations when the target property exists but cannot be modified.

Since:
  EL 2.1
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PropertyNotWritableException()`
  Constructs a new instance with no detail message or cause.
  `PropertyNotWritableException(String message)`
  Constructs a new instance with the specified detail message and no cause.
  `PropertyNotWritableException(String message, Throwable cause)`
  Constructs a new instance with the specified detail message and cause.
  `PropertyNotWritableException(Throwable cause)`
  Constructs a new instance with the specified cause and no detail message.

- ## Method Summary

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PropertyNotWritableException

    public PropertyNotWritableException()
    Constructs a new instance with no detail message or cause.

  - ### PropertyNotWritableException

    public PropertyNotWritableException(String message)
    Constructs a new instance with the specified detail message and no cause.
    Parameters:
      `message` - the detail message

  - ### PropertyNotWritableException

    public PropertyNotWritableException(Throwable cause)
    Constructs a new instance with the specified cause and no detail message.
    Parameters:
      `cause` - the underlying cause

  - ### PropertyNotWritableException

    public PropertyNotWritableException(String message, Throwable cause)
    Constructs a new instance with the specified detail message and cause.
    Parameters:
      `message` - the detail message
      `cause` - the underlying cause